package com.xydl.cac.model.spectrogram;

import lombok.Data;

import java.io.DataInputStream;
import java.util.ArrayList;
import java.util.List;

@Data
public class YspWay {
    Integer n;
    List<YspWayHump> humpList = new ArrayList<>();
    List<Float> valueList = new ArrayList<>();

    public void readFrom(DataInputStream dis, Integer k) throws Exception {
        n = dis.read();
        for (int i = 0; i < n; i++) {
            YspWayHump hump = new YspWayHump();
            hump.readFrom(dis);
            humpList.add(hump);
        }
        for (int i = 0; i < k; i++) {
            Float v = dis.readFloat();
            valueList.add(v);
        }
    }
}
