package com.xydl.cac.model.spectrogram;

import lombok.Data;

import java.io.DataInputStream;

@Data
public class YspWayHump {
    String name;
    Integer j;
    Float time;
    Float startTime;
    Float endTime;
    Float high;
    Float area;

    public void readFrom(DataInputStream dis) throws Exception {
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < 10; i++) {
            char c = (char) dis.readByte();
            sb.append(c);
        }
        name = sb.toString();
        j = dis.read();
        time = dis.readFloat();
        startTime = dis.readFloat();
        endTime = dis.readFloat();
        high = dis.readFloat();
        area = dis.readFloat();
    }
}
